View Issue Details

IDProjectCategoryView StatusLast Update
0012771ScribusImport / Exportpublic2016-02-13 19:51
ReporterJLuc Assigned Tofschmid  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.5.0svn 
Target VersionFixed in Version1.5.1svn 
Summary0012771: Some patterns imported to incorrect level and therefore aren't visible
DescriptionArrows ends of Inkscape created svg
are imported as bottom level objects
and are hidden behind other objects
Steps To ReproduceCreate new doc
Import uploaded svg
see : arrows ends are imported, but not visible when on top of some fill
Additional InformationAttached images show
current behavior: without arrow heads
and what behavior should look like: with arrow heads
TagsNo tags attached.
PatchNo

Relationships

related to 0012770 new Patterns and groups in SVG import 
related to 0012250 closedfschmid SVG arrows not imported 
child of 0002931 acknowledged Metabug: SVG 

Activities

JLuc

2014-10-13 12:43

developer  

schema simplifié.svg (31,933 bytes)

JLuc

2014-10-13 12:43

developer  

arrowsend.jpg (7,575 bytes)
arrowsend.jpg (7,575 bytes)

Kunda

2015-12-22 16:45

manager   ~0037963

Added what SVG should look like.

Kunda

2015-12-22 16:50

manager  

Kunda

2015-12-22 16:53

manager   ~0037964

Confirmed on 1.5.1svn r20629 (MacOSX 10.10.5)

Kunda

2016-01-18 00:45

manager   ~0038225

After franz's commit in r20689 I can see the arrow ends now. So this is fixed.

Observation:
In the console output:
"unsupported SVG feature: overflow"
"unsupported SVG feature: stroke-miterlimit"
"unsupported SVG feature: font-variant"
"unsupported SVG feature: text-align"
"unsupported SVG feature: line-height"
"unsupported SVG feature: letter-spacing"
"unsupported SVG feature: word-spacing"
"unsupported SVG feature: writing-mode"
"unsupported SVG feature: -inkscape-font-specification"

Issue History

Date Modified Username Field Change
2014-10-13 12:43 JLuc New Issue
2014-10-13 12:43 JLuc File Added: schema simplifié.svg
2014-10-13 12:43 JLuc File Added: arrowsend.jpg
2015-12-22 16:27 Kunda Relationship added child of 0002931
2015-12-22 16:45 Kunda Note Added: 0037963
2015-12-22 16:50 Kunda File Added: schema-simplifie-correct.png
2015-12-22 16:51 Kunda Relationship added related to 0012770
2015-12-22 16:52 Kunda Patch => No
2015-12-22 16:52 Kunda Summary Some patterns imported to bad level -> dont appear => Some patterns imported to incorrect level and therefore aren't visible
2015-12-22 16:52 Kunda Additional Information Updated View Revisions
2015-12-22 16:53 Kunda Note Added: 0037964
2015-12-22 16:53 Kunda Status new => confirmed
2016-01-17 10:31 fschmid Status confirmed => resolved
2016-01-17 10:31 fschmid Fixed in Version => 1.5.1svn
2016-01-17 10:31 fschmid Resolution open => fixed
2016-01-17 10:31 fschmid Assigned To => fschmid
2016-01-18 00:45 Kunda Note Added: 0038225
2016-01-18 13:45 Kunda Relationship added related to 0012250
2016-02-13 19:51 cbradney Status resolved => closed